package mmql

type IStatement interface { }

type RawStatement struct {
    IStatement
    Value string
}

type QuotedValue struct {
    IStatement
    RawStatement *RawStatement
    Quote string
}

type BracketedValue struct {
    IStatement
    RawStatement *RawStatement
    Brackets string
}

type ActionStatement struct {
    IStatement
}

type OrderStatement struct {
    *ActionStatement
}

func ( this *OrderStatement ) For( stmt IStatement ) {
}
